package pwc.taxtech.atms.service.impl;

import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;

import java.util.Calendar;

/**
 * @author ZhiKai Z Wei
 */
public class CitCommonUtil {

    /**
     * 计算当前期间
     * @return
     */
    public static Integer getPeriod(){
        //计算当前期间
        Calendar now = Calendar.getInstance();
        StringBuilder sb = new StringBuilder();
        sb.append(now.get(Calendar.YEAR));
        if(now.get(Calendar.MONTH) + 1 < 10){
            sb.append(0);
        }
        sb.append(now.get(Calendar.MONTH) + 1);
        return Integer.valueOf(sb.toString());
    }


    /**
     * 导入Excel时根据单元格类型获取单元格的值
     * @param cell
     * @return
     */
    public static Object getValue(Cell cell) {
        Object obj = null;
        if(cell == null){
            return obj;
        }
        switch (cell.getCellTypeEnum()) {
            case BOOLEAN:
                obj = cell.getBooleanCellValue();
                break;
            case ERROR:
                obj = cell.getErrorCellValue();
                break;
            case NUMERIC:
                obj = cell.getNumericCellValue();
                break;
            case STRING:
                obj = cell.getStringCellValue();
                break;
            default:
                break;
        }
        return obj;

    }
}
